%define module	Net-FTP-Common
%define name	perl-%{module}
%define version 5.31
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Simplify common usages of Net::FTP 
License:	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildRequires:	perl(Net::FTP)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module is intended to make the common uses of Net::FTP a one-line,
no-argument affair. In other words, you have 100% programming with
Net::FTP. With Net::FTP::Common you will have 95% configuration and 5%
programming.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Net/FTP
%{perl_vendorlib}/TestConfig.pm
%{_mandir}/*/*

%changelog
* Sat Apr 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 5.31-1mdk
- New release 5.31
- fix directory ownership
- better summary
- better source URL

* Wed Sep 28 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 5.2g-1mdk
- new version

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 5.2b-1mdk
- initial Mandriva package 
